package cn.iocoder.yudao.module.configure.convert.inspectiontemplate;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.inspectiontemplate.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.inspectiontemplate.InspectionTemplateDO;

/**
 * 检测报告模板 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface InspectionTemplateConvert {

    InspectionTemplateConvert INSTANCE = Mappers.getMapper(InspectionTemplateConvert.class);

    InspectionTemplateDO convert(InspectionTemplateCreateReqVO bean);

    InspectionTemplateDO convert(InspectionTemplateUpdateReqVO bean);

    InspectionTemplateRespVO convert(InspectionTemplateDO bean);

    List<InspectionTemplateRespVO> convertList(List<InspectionTemplateDO> list);

    PageResult<InspectionTemplateRespVO> convertPage(PageResult<InspectionTemplateDO> page);

}
